<template>
  <v-list-item
    icon
    dense
    @click="addPiece"
  >
    <v-list-item-icon>
      <v-icon v-text="'mdi-music-note-plus'" />
    </v-list-item-icon>
    <v-list-item-content>
      <v-list-item-title>
        {{ $t('button.piece-upload') }}
      </v-list-item-title>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import type { Client } from '@/client';
import { showAddPiece } from '@/components/dialogs';
import { Vue, Component, Prop } from 'vue-property-decorator';

@Component
export default class PieceUploadButton extends Vue {
  @Prop({ required: true })
  client!: Client;

  async addPiece() {
    await showAddPiece(this.client);
  }
}
</script>
